import request from '@/utils/request'

// sop信息分页查询
export function getIsMarsSopPage(query) {
  return request({
    url: '/iscs/mars/sop/getIsMarsSopPage',
    method: 'get',
    params: query
  })
}

// 新增sop信息 /iscs/sop/insertIsMarsMarsSop
export function addinsertIsMarsSop(data) {
  return request({
    url: '/iscs/mars/sop/insertIsMarsSop',
    method: 'post',
    data: data
  })
}

// 修改sop信息
export function updateIsMarsSop(data) {
  return request({
    url: '/iscs/mars/sop/updateIsSop',
    method: 'post',
    data: data
  })
}

// 删除sop信息 /dev-api/iscs/sop/deleteIsMarsMarsSopByMarsMarsSopIds
export function deleteIsMarsSopByMarsSopIds(data) {
  return request({
    url: '/iscs/mars/sop/deleteIsMarsSopBySopIds?sopIds=' + data,
    method: 'post',
  })
}

// 获取SOP详细信息/dev-api/iscs/sop/selectIsMarsMarsSopById
export function selectIsMarsSopById(query) {
  return request({
    url: '/iscs/mars/sop/selectIsMarsSopById?sopId=' + query,
    method: 'get',
  })
}

// 修改SOP信息排序/dev-api/iscs/sop/selectIsSopById
export function updateIsMarsSopIndexAPI(query) {
  return request({
    url: '/iscs/mars/sop/updateIsSop' ,
    method: 'post',
    data: query
  })
}

